TF_EncryptorBase Class Referenceabstract

_ More...

`#include <pubkey.h>`

Inheritance diagram for TF_EncryptorBase:

## Public Member Functions

void | Encrypt (RandomNumberGenerator &rng, const byte *plaintext, size_t plaintextLength, byte *ciphertext, const NameValuePairs &parameters=g_nullNameValuePairs) const
| encrypt a byte string More...
bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
virtual BufferedTransformation * | CreateEncryptionFilter (RandomNumberGenerator &rng, BufferedTransformation *attachment=NULL, const NameValuePairs &parameters=g_nullNameValuePairs) const
| create a new encryption filter More...
CryptoMaterial & | AccessMaterial ()
| returns a reference to the crypto material used by this object
const CryptoMaterial & | GetMaterial () const
| returns a const reference to the crypto material used by this object
virtual PublicKey & | AccessPublicKey ()=0
virtual const PublicKey & | GetPublicKey () const
void | BERDecode (BufferedTransformation &bt)
| for backwards compatibility, calls AccessMaterial().Load(bt)
void | DEREncode (BufferedTransformation &bt) const
| for backwards compatibility, calls GetMaterial().Save(bt)
virtual std::string | AlgorithmName () const
| returns name of this algorithm, not universally implemented yet
virtual Clonable * | Clone () const
| this is not implemented by most classes yet

## Protected Types

typedef RandomizedTrapdoorFunction | TrapdoorFunctionInterface
typedef PK_EncryptionMessageEncodingMethod | MessageEncodingInterface

## Protected Member Functions

size_t | PaddedBlockByteLength () const
size_t | PaddedBlockBitLength () const
virtual const TrapdoorFunctionBounds & | GetTrapdoorFunctionBounds () const =0
virtual const TrapdoorFunctionInterface & | GetTrapdoorFunctionInterface () const =0
virtual const MessageEncodingInterface & | GetMessageEncodingInterface () const =0

## Detailed Description

_

Definition at line 173 of file pubkey.h.

## Member Function Documentation

void TF_EncryptorBase::Encrypt | ( | RandomNumberGenerator & | rng,
|  | const byte * | plaintext,
|  | size_t | plaintextLength,
|  | byte * | ciphertext,
|  | const NameValuePairs & | parameters = `g_nullNameValuePairs`
| ) |  | const

virtual

encrypt a byte string

Precondition
  CiphertextLength(plaintextLength) != 0 (i.e., plaintext isn't too long)
  size of ciphertext == CiphertextLength(plaintextLength)

Implements PK_Encryptor.

virtual BufferedTransformation* PK_Encryptor::CreateEncryptionFilter | ( | RandomNumberGenerator & | rng,
|  | BufferedTransformation * | attachment = `NULL`,
|  | const NameValuePairs & | parameters = `g_nullNameValuePairs`
| ) |  | const

virtual inherited

create a new encryption filter

Note
  The caller is responsible for deleting the returned pointer.
  Encoding parameters should be passed in the "EP" channel.

The documentation for this class was generated from the following file:

- pubkey.h